SubaccountService
Update Subaccount Member Role
Update the role of an existing sub-account member.
Method
PATCH
Path
/v1/auth/subaccounts/{subaccount_id}/members/{grantee_account_id}
Visibility
Authentication
Session token
MFA Requirement
PATCH
/v1/auth/subaccounts/{subaccount_id}/members/{grantee_account_id} Request
Testnet
curl --request PATCH \ \
--url 'https://api.testnet.polyester.com/v1/auth/subaccounts/6789012345678/members/7563897446546' \
--header 'Accept: */*' \
--header 'X-API-KEY-ID: YOUR_API_KEY_ID' \
--header 'X-API-TIMESTAMP: YOUR_API_TIMESTAMP' \
--header 'X-API-SIGNATURE: YOUR_API_SIGNATURE' \
--header 'Content-Type: application/json' \
--data '{
"role": "VIEWER"
}'Responses
{} grantee_account_id string (int64)
Root account ID of the member whose role should be updated (opaque ID).
subaccount_id string (int64)
Sub-account to modify (opaque ID).
role enum
New role to assign.
| Key | Status | Error | When |
|---|---|---|---|
| unauthenticated | 401 | Unauthenticated | Authentication required. |
| permission-denied | 403 | Permission Denied | Permission denied. |
| invalid-argument | 400 | Invalid Argument | Invalid argument. |
| not-found | 404 | Not Found | Not found. |
| unavailable | 503 | Unavailable | Service unavailable. |